Bug 426402 - remove extra copy of hunspell inside enchant
remove extra copy of hunspell inside enchant
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: enchant (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 14:59 EST by Caolan McNamara
Modified: 2008-05-10 11:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-26 15:19:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (4.05 KB, patch)
2007-12-20 14:59 EST, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2007-12-20 14:59:43 EST
I see that enchant has a full copy of hunspell in it, sounds like a good idea to
link against -lhunspell instead
(i.e. http://bugzilla.abisource.com/show_bug.cgi?id=11321)

As part of http://fedoraproject.org/wiki/Releases/FeatureDictionary I'd also
like to split enchant into bits that link against aspell and those that don't.

i.e. complete patch against our .spec attached.

I can take care of this if you want to just reassign it back to me.
Comment 1 Caolan McNamara 2007-12-20 14:59:43 EST
Created attachment 290185 [details]
patch
Comment 2 Kevin Kofler 2008-01-07 23:33:12 EST
Ping? Can this please be applied? Duplicate copies of system libraries suck.
Comment 3 Caolan McNamara 2008-01-08 04:25:20 EST
Dom committed a probably better final fix than the one submitted to him to the
enchant cvs/svn in this area FWIW
Comment 4 Caolan McNamara 2008-01-26 15:19:21 EST
Changes checked in and built
Comment 5 Fryderyk Dziarmagowski 2008-05-10 11:46:02 EDT
This patch is incomplete. myspell_checker.cpp shouldn't include local
hunspell.hxx header.

Note You need to log in before you can comment on or make changes to this bug.